#ifndef EXCEPTION_H
#define EXCEPTION_H

#include <windows.h>

#include <string>
using std::string;

class Exception  
{
public:
	int get_error_code();
	string get_human_hres();
	string const & get_error_message();
	Exception(HRESULT hres, char const * error_message);
	~Exception();
private:
	string	_error_message;
	HRESULT _hres;//used for COM errors...
};

#endif
